com.tibco.datagrid

## Interface GridMetadata

- All Superinterfaces:
    java.lang.AutoCloseable

      public interface GridMetadata
      extends java.lang.AutoCloseable

  A data grid metadata object contains metadata information about the data grid and the tables in the data grid.

  To create a GridMetadata object, call `Connection.getGridMetadata`.

  A program that creates a grid metadata object should explicitly call `GridMetadata.destroy` to reclaim its resources.

  Since Version 4.10: Whenever a `GridMetadata` that did not have its `GridMetadata.destroy` method called is garbage collected, the native resources will be reclaimed automatically. This behavior is controlled by the com.tibco.tibdg.autoclose System Property. If the property is not set or set to "cleanup" (the default), the native resources will be reclaimed as if the `GridMetadata.destroy` method had been called. If the System Property is set to "warn", a warning will be printed to stderr instead of doing the cleanup. If the property is set to "inactive", this feature will not be activated.

  This interface is implemented internally. Applications do not implement this interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TIBDG_GRIDMETADATA_PROPERTY_STRING_CHECKPOINT_NAME` Property name for specifying checkpoint used to retrieve metadata; string.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `destroy()` Destroy a grid metadata object.
    `java.lang.String` | `getGridName()` Get the name of the data grid.
    `TableMetadata` | `getTableMetadata(java.lang.String tableName)` Get a table metadata object by its table name.
    `TableMetadata[]` | `getTableMetadataArray()` Get all the table metadata objects in the grid metadata.
    `java.lang.String[]` | `getTableNames()` Get the names of the tables in the data grid.
    `java.lang.String` | `getVersion()` Get the data grid's product version string.

- - ### Field Detail

    - #### TIBDG_GRIDMETADATA_PROPERTY_STRING_CHECKPOINT_NAME

          static final java.lang.String TIBDG_GRIDMETADATA_PROPERTY_STRING_CHECKPOINT_NAME

      Property name for specifying checkpoint used to retrieve metadata; string.

      Supply this property to `Connection.getGridMetadata`.

      The given name specifies the checkpoint used to retrieve grid and table metadata.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getVersion

          java.lang.String getVersion()
                               throws DataGridException

      Get the data grid's product version string.

      This will be the product version associated with the proxy that returned the data grid metadata.

      Returns:
        a product version string
      Throws:
        `DataGridException` - in case of failures

    - #### getGridName

          java.lang.String getGridName()
                                throws DataGridException

      Get the name of the data grid.

      Returns:
        a data grid name string
      Throws:
        `DataGridException` - in case of failures

    - #### getTableNames

          java.lang.String[] getTableNames()
                                    throws DataGridException

      Get the names of the tables in the data grid.

      Returns:
        an array of table name strings
      Throws:
        `DataGridException` - in case of failures

    - #### getTableMetadata

          TableMetadata getTableMetadata(java.lang.String tableName)
                                  throws DataGridException

      Get a table metadata object by its table name.

      Parameters:
        `tableName` - The name of the table to get the metadata.
      Returns:
        a table metadata object
      Throws:
        `DataGridException` - in case of failures

    - #### getTableMetadataArray

          TableMetadata[] getTableMetadataArray()
                                         throws DataGridException

      Get all the table metadata objects in the grid metadata.

      Returns:
        an array of table metadata objects
      Throws:
        `DataGridException` - in case of failures

    - #### destroy

          void destroy()
                throws DataGridException

      Destroy a grid metadata object.

      Release all resources associated with this data grid metadata object.

      Note that destroying a data grid metadata object invalidates all objects accessed from it. Do not rely on information retrieved from the data grid metadata object after it is destroyed. Such information must instead be copied before destroying the metadata object.

      Throws:
        `DataGridException` - in case of failures

    - #### close

          void close()
              throws DataGridException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `DataGridException`